diff -Nru audtty-0.1.12/debian/changelog audtty-0.1.12/debian/changelog
--- audtty-0.1.12/debian/changelog	2011-08-24 00:33:33.000000000 +0200
+++ audtty-0.1.12/debian/changelog	2012-02-17 15:53:04.000000000 +0100
@@ -1,3 +1,11 @@
+audtty (0.1.12-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * debian/patches/02-glib_include_link
+    - Fix glib-2.0 include and link, fix FTBFS (Closes: #658589)
+
+ -- Angel Abad <angel@debian.org>  Fri, 17 Feb 2012 15:50:57 +0100
+
 audtty (0.1.12-2) unstable; urgency=low
 
   * Include patch from Peter Green (Closes: #625308). 
diff -Nru audtty-0.1.12/debian/patches/02-glib_include_link audtty-0.1.12/debian/patches/02-glib_include_link
--- audtty-0.1.12/debian/patches/02-glib_include_link	1970-01-01 01:00:00.000000000 +0100
+++ audtty-0.1.12/debian/patches/02-glib_include_link	2012-02-17 16:01:02.000000000 +0100
@@ -0,0 +1,25 @@
+Description: Fix glib-2.0 include and link
+Author: Angel Abad <angelabad@ubuntu.com>
+Bug-Debian: http://bugs.debian.org/658589
+
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -8,7 +8,8 @@
+ 
+ 
+ AUDACIOUS_CFLAGS=@AUDACIOUS_CFLAGS@ -I/usr/include/dbus-1.0
+-LDADD=-ldbus-glib-1 -lncursesw -laudclient
++GLIB_CFLAGS=`pkg-config --cflags glib-2.0`
++LDADD=-ldbus-glib-1 -lncursesw -laudclient `pkg-config --libs glib-2.0`
+ 
+ SOURCES=main.c curses_printf.c playlist.c playlist_jump.c playlist_addurl.c settings.c connect.c browse.c playlist_create.c
+ BINS=$(SOURCES:.c=.o)
+@@ -21,7 +22,7 @@
+ 	cc -g -O2 -g2 -Wall -Werror ${LDFLAGS} -o audtty $(BINS) $(LDADD)
+ 
+ .c.o:
+-	cc -g -Wall ${AUDACIOUS_CFLAGS} ${CFLAGS} -o $@ -c $<
++	cc -g -Wall ${AUDACIOUS_CFLAGS} ${GLIB_CFLAGS} ${CFLAGS} -o $@ -c $<
+ 
+ install: audtty
+ 	mkdir -p ${bindir}
diff -Nru audtty-0.1.12/debian/patches/series audtty-0.1.12/debian/patches/series
--- audtty-0.1.12/debian/patches/series	2011-08-24 00:27:14.000000000 +0200
+++ audtty-0.1.12/debian/patches/series	2012-02-17 15:44:00.000000000 +0100
@@ -1,2 +1,3 @@
 00-Makefile
-01-ftbfs_dso_linking
\ No hay ningún carácter de nueva línea al final del fichero
+01-ftbfs_dso_linking
+02-glib_include_link
diff -Nru audtty-0.1.12/debian/rules audtty-0.1.12/debian/rules
--- audtty-0.1.12/debian/rules	2011-08-24 00:22:13.000000000 +0200
+++ audtty-0.1.12/debian/rules	2012-02-17 15:43:04.000000000 +0100
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 
-export LDFLAGS += -lglib-2.0 -lgobject-2.0
-
 %:
 	dh $@
 
